shishi_encapreppart_cusec_set(3)

NAME
shishi_encapreppart_cusec_set - API function

SYNOPSIS
#include <shishi.h>

int shishi_encapreppart_cusec_set(Shishi * handle, Shishi_asn1 encapreppart, uint32_t cusec);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 encapreppart
    EncAPRepPart as allocated by shishi_encapreppart().

uint32_t cusec
    client microseconds to set in authenticator, 0-999999.

DESCRIPTION
Set the cusec field in the Authenticator.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.